Subject: bug#70036: a fix that

From: Theodor Thornhill <[email-masked]>
Date: Fri, 19 Apr 2024 11:14:05 +0200

João Távora <[email-masked]> writes:

> On Fri, Apr 19, 2024 at 6:59 AM Theodor Thornhill <[email-masked]> wrote:
>
>> I agree - that's why I want to focus on improving the code, same as
>> you. I just want you to understand that being mindful on how you come
>> across can't really hurt.
>
> You're right of course.  I do try to be mindful, but maybe I made a mistake.
> IIUC it was the part where I said this was a "one-off and uncommon" report
> that you felt was unkind and harsh.  Because you wrote that.  I absolutely
> think we miscommunicated: I wasn't trying to say you have a bizarre project
> setup, I was simply trying to make a statement about statistics and
> the relative importance.
>

No worries. Water under the bridge.

>> There are enough conflicts around these days,
>
> In Emacs or in the world?  If the former I'd rather not know about
> them.
>

In the world.

>> let's not make code be one.
>
> Right.  So reverting another person's code isn't that big of a deal.
> You "reverted" bits of my code when doing your commits, and that's
> fine.
>
>> Yeah, that's right. I assume that when json serde disappeared as a
>> bottleneck others emerge. This is the obvious one to me right now.
>
> When my hotspot for a given reasonable profile is 4%, I'm feeling
> fairly good about my code.  But yes, of course, it can be addressed.
>

Yes, Eglot is pretty fast. Doesn't mean it can't improve, though :)

>> Sure. That will make the change you make similar in spirit to mine, yet
>> with a different implementation. I'm fine with that.
>
> With the difference that my change also still ultimately uses truename,
> just very frugally.  So it still understands symlinks, doesn't
> mislead the server and doesn't expose the bug I demonstrated.

Yep, I think we agree and have for some time. I wasn't really arguing
from your first mail, either.

Theo